cp2k (2025.2-1) unstable; urgency=medium

  * New upstream release, new features include:
    + Exciton descriptors for TDDFPT
    + Padé FT Refinement for RTBSE
    + GFN-xTB and Efield-xTB
    + HP-DFT (Hairy Probes) module
    + Atomic polarization tensors via numerical differentiation
    + Resonant Inelastic X-ray Spectroscopy (RIXS) Module
  * debian/patches/remove_youtube_links_from_docs.patch: Refreshed.
  * debian/rules (override_dh_auto_test): Switch to upstream regtesting script.
  * debian/tests/control: Add python3 to test depends.
  * debian/patches/reinstate_do_regtest_script.patch: Removed, no longer
    needed.

 -- Michael Banck <mbanck@debian.org>  Tue, 06 Jan 2026 16:09:05 +0100

cp2k (2025.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't run the autopkgtest on riscv64 where it does timeout.
    (Closes: #1102463)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Apr 2025 11:36:53 +0300

cp2k (2025.1-1) unstable; urgency=medium

  * New upstream release, new features include:
    + Optical BSE spectra
    + Real-time Bethe-Salpeter Propagation
    + Harris and EHT methods including linear-scaling solver
    + RPA based SIGMA Functionals
    + Smeared occupation TDA
  * debian/patches/remove_youtube_links_from_docs.patch: Refreshed.
  * debian/control (Build-Depends): Added python3-sphinxcontrib-mermaid and
    python3-sphinx-reredirects.
  * debian/rules (override_dh_auto_build): Build heavy cross-referencing parts
    of the documentation only on amd64.

 -- Michael Banck <mbanck@debian.org>  Sat, 05 Apr 2025 11:59:21 +0200

cp2k (2024.2-1) unstable; urgency=medium

  * New upstream release, new features include:
    + ECP nuclear gradients
    + TDA kernel methods
    + Bethe-Salpeter equation for molecules
    + GW for small unit cells with full k-points
    + Hedin shift for G0W0
  * debian/rules (override_dh_auto_build): Update docs build.
  * debian/patches/remove_youtube_links_from_docs.patch: New patch, removes (in
    Debian) unsupported Youtube links from sphinx build.

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Mar 2025 22:10:03 +0200

cp2k (2024.1-1) unstable; urgency=medium

  * New upstream release, new features include:
    + TDDFPT: Pseudopotentials, GAPW, GPW, and forces
    + RI-HFX for K-points (with gradients and ADMM)
    + Long-range quantum computing (WF) in short-range DFT embedding
    + Active space: Implement ERI calculation using half-transformed integrals
    + GW: open-shell periodic GW
    + G0W0/SOC: bandstructure, PDOS, local bandgap, periodic
    + NNP: Helium-Solute for interaction
    + Time-dependent Field for EMD
  * debian/patches/makeflags.patch: Move MPI build flags to debian/rules as
    LIB_MPI variable.
  * debian/patches/makeflags.patch: Move Elpa build flags to ...
  * debian/rules: ... here. 
  * debian/control (Build-Depends): Added python3-lxml, python3-myst-parser and
    python3-sphinx-rtd-theme.
  * debian/rules (override_dh_auto_clean, override_dh_auto_build): Update
    manual build to be in docs/ not tools/manual/.
  * debian/cp2k-data.install: Likewise.
  * debian/rules (override_dh_auto_test): Temporarily remove the
    QS/regtest-epr-2, QS/regtest-lsroks, QS/regtest-nmr-2 and TAMC/regtest
    directories due to testsuite failures.

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Jan 2025 10:44:49 +0100

cp2k (2023.2-2) unstable; urgency=medium

  * Team upload.
  * No-changes source-only upload to rebuild with libsymspg2.

 -- Andrius Merkys <merkys@debian.org>  Mon, 13 Nov 2023 02:52:52 -0500

cp2k (2023.2-1) unstable; urgency=medium

  * New upstream release, new features include:
    + Intrinsic Atomic Orbitals
  * debian/patches/testsuite_output.patch: Removed, no longer applicable.
  * debian/control (Build-Depends): Added libdbcsr-dev.
  * debian/patches/system_libdbcsr.patch: New patch, modifies the Makefile to
    allow using a system-install libdbcsr.
  * debian/patches/makeflags.patch: Add libdbcsr to LIBS.
  * debian/patches/reinstate_do_regtest_script.patch: New patch, reinstates the
    removed do_regtest script - the replacement python script is not suitable
    to run regression/autopkgtests at this point.
  * debian/rules (override_dh_auto_test): Make sure do_regtest is executable.

 -- Michael Banck <mbanck@debian.org>  Sat, 16 Sep 2023 18:44:06 +0530

cp2k (2023.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Banck <mbanck@debian.org>  Tue, 10 Jan 2023 19:33:46 +0100

cp2k (2023.1-1) experimental; urgency=medium

  * New upstream release, new features include:
    + Gradients for SOS-MP2 and RPA
    + GAPW/GAPW_XC and ADMM/GAPW options for TDDFT/Linear Response
    + Excited state forces as property for TDDFT
    + Allow for XC correction in ADMM RI-RPA
    + Velocity gauge and magnetic delta pulse in RTP
    + Automatically extrapolate k-point mesh in GW
    + Add vdW options to xTB
    + Raman intensities in vibrational analysis
    + Improved NewtonX interface
    + Variational Density-Corrected DFT (DC-DFT) for EC 
    + Updated active space interface

  [ Debian Janitor ]
  * debian/control (cp2k-data): Add Multi-Arch: foreign.

  [ Michael Banck ]
  * debian/watch: Updated. 
  * debian/control (Build-Depends): Bump libelpa-dev to 2022.11.001-1.

 -- Michael Banck <mbanck@debian.org>  Sat, 07 Jan 2023 23:43:15 +0100

cp2k (2022.2-1) unstable; urgency=medium

  * New upstream release, new features include:
    + HIP support for PW
    + K-points for the GW self-energy
    + GAPW Voronoi integration
    + Improve support for metaGGA functionals
    + State following using transition charge finger print in TDDFT
    + Barostat for frozen atoms in absolute coordinate
    + Low-scaling SOS-Laplace MP2 forces
    + RPA low-scaling gradients
    + CDFT forces based on Hirshfeld partitioning
    + GW 4-center Hartree-Fock and ADMM for exchange self-energy
    + Partially occupied Wannier states
    + GAPW_XC for TDDFPT energies
    + LibXC equivalents to ADMM exchange potentials
    + Print vibrational modes for Newton-X
    + Migrate tensor operations to new sparse matrix library DBM

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Oct 2022 16:44:54 +0100

cp2k (9.1-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_test): Added QS/regtest-all-electron,
    QS/regtest-double-hybrid-2, QS/regtest-elpa,
    QS/regtest-lvlshift QS/regtest-ri-mp2, QS/regtest-tddfpt-force-2,
    QS/regtest-tddfpt-lri and QS/regtest-md-lgvregion regtests.
  * debian/rules: Enable parallel build.

 -- Michael Banck <mbanck@debian.org>  Sun, 09 Jan 2022 13:30:25 +0100

cp2k (9.1-1) unstable; urgency=medium

  * New upstream release, new features include:
   + Forces and stress tensor for MP2-based double-hybrids
   + Forces for RI-HFX
   + Forces for TDDFT
   + Regularized RI for periodic GW
   + Beadwise constraints to PINT
   + Analytical stress tensor for NNP
   + Ghost particles and tip scan for xTB
   + GAL21 forcefield
   + Analytical derivatives of the MO coefficients with respect to nuclear
     coordinates
   + Gromacs QM/MM support
   + NEWTONX interface
  * Upload to unstable.
  * debian/control (Build-Depends): Bump libelpa-dev to 2021.11.001-1.
  * debian/patches/makeflags.patch: Bump __ELPA define to 202111..

 -- Michael Banck <mbanck@debian.org>  Fri, 31 Dec 2021 16:37:32 +0100

cp2k (8.2-1) experimental; urgency=medium

  * New upstream point release.
  * debian/control (Build-Depends): Bump libxc-dev version to 5.1.0. 

 -- Michael Banck <mbanck@debian.org>  Sat, 02 Oct 2021 11:17:59 +0200

cp2k (8.1-9) unstable; urgency=medium

  * debian/cp2k.links: Switch link targets to psmp (Closes: #985519).

 -- Michael Banck <mbanck@debian.org>  Tue, 23 Mar 2021 09:02:52 +0100

cp2k (8.1-8) unstable; urgency=medium

  * debian/rules (override_dh_auto_test): Fail build if tests fail.
  * debian/tests/control: Add libint2-2 Depends on version 2.6.0-11.

 -- Michael Banck <mbanck@debian.org>  Thu, 18 Feb 2021 23:03:35 +0100

cp2k (8.1-7) unstable; urgency=medium

  * debian/control (Build-Depends): Bump libint2-dev version to 2.6.0-11
    (Closes: #982172).

 -- Michael Banck <mbanck@debian.org>  Tue, 16 Feb 2021 13:30:35 +0100

cp2k (8.1-6) unstable; urgency=medium

  * debian/patches/makeflags.patch: Add -lstdc++ to LIBS. 
  * debian/rules (Build-Depends): Bump libint2-dev version to 2.6.0-9.
  * debian/rules: Remove NO_LIBINT_ARCHS machinery.

 -- Michael Banck <mbanck@debian.org>  Sat, 30 Jan 2021 23:12:58 +0100

cp2k (8.1-5) unstable; urgency=medium

  * debian/control (Build-Depends): Revert changes from commit 76f7e1b4.

 -- Michael Banck <mbanck@debian.org>  Wed, 06 Jan 2021 15:24:59 +0100

cp2k (8.1-4) unstable; urgency=medium

  * debian/control (Build-Depends): Revert accidental local changes from last
    upload.

 -- Michael Banck <mbanck@debian.org>  Wed, 06 Jan 2021 14:32:55 +0100

cp2k (8.1-3) unstable; urgency=medium

  * debian/patches/makeflags.patch: Use mpif90 instead of gfortran as linker
    for the popt and psmp versions.

 -- Michael Banck <mbanck@debian.org>  Wed, 06 Jan 2021 12:28:27 +0100

cp2k (8.1-2) unstable; urgency=medium

  * debian/patches/makeflags.patch: Readd -fallow-argument-mismatch to FCFLAGS
    in order to fix build failures on 32bit architectures.

 -- Michael Banck <mbanck@debian.org>  Thu, 31 Dec 2020 18:26:09 +0100

cp2k (8.1-1) unstable; urgency=medium

  * New upstream release.
   + RI-HFX: Add resolution of identity for Hartree-Fock exchange
   + ALMO: Add trust region methods
   + Linear Scaling DFT: New implementation based on the submatrix method and
     matrix sign function
   + TDDFPT code refactoring, add sTDA kernel, xTB/sTDA method
   + Response code for polarizabilities: add finite difference debug, hybrid
     functionals, and ADMM
   + Harris functional based on Kohn-Sham density
   + NNP: Behler-Parrinello Neural Network Potentials
   + XAS_TDP: Add OT solver and improve performance
   + mGGA: Add stress tensor
  * debian/patches/python3.patch: Removed, no longer needed.
  * debian/patches/dbcsr_gfortran10.patch: Likewise.
  * debian/patches/gfortran10.patch: Likewise.
  * debian/patches/testsuite_output.patch: Refreshed.
  * debian/patches/makeflags.patch: Add CFLAGS variable, defining now required
    -fopenmp, add -fopenmp to FCFLAGS and drop -fallow-argument-mismatch from
    it.
  * debian/rules (override_dh_auto_test): Add one more regtest directory.

 -- Michael Banck <mbanck@debian.org>  Thu, 31 Dec 2020 14:12:29 +0100

cp2k (7.1-5) unstable; urgency=medium

  * debian/rules (override_dh_auto_test): Do not run (broken) libint-based
    tests on i386/armhf.
  * debian/patches/python3.patch: Add additional fix for do_regtest.
  * debian/rules (VERSION): Switch to psmp from popt.
  * debian/regtest.config: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sun, 15 Nov 2020 12:05:22 +0100

cp2k (7.1-4) unstable; urgency=medium

  * debian/control: Update description. 
  * debian/patches/dbcsr_gfortran10.patch, debian/patches/gfortran10.patch: New
    patches fixing build failures with gfortran10, taken from upstream commits
    58ee9709, 4b61cae1 and 4ac11055.
  * debian/patches/makeflags.patch: Add -fallow-argument-mismatch to FCFLAGS
    (Closes: #957101).

 -- Michael Banck <mbanck@debian.org>  Sun, 04 Oct 2020 12:38:10 +0200

cp2k (7.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Banck <mbanck@debian.org>  Sat, 04 Jul 2020 18:53:46 +0200

cp2k (7.1-2) experimental; urgency=medium

  * Team upload.
  * Building using Python 3 (Closes: #936337)
  * Update Standards-Version to 4.4.1 (no changes required).
  * Add Rules-Requires-Root: no.
  * Use dpkg-provided include to set DEB_BUILD_ARCH.
  * Force upstream build system to be more verbose so that it is able to be
    debugged.

 -- Stuart Prescott <stuart@debian.org>  Sat, 18 Jan 2020 00:50:55 +1100

cp2k (7.1-1) experimental; urgency=medium

  * New upstream release, new features include:
    + xTB tight-binding module
    + New canonical worm algorithm for HELIUM module
    + X-ray absorption spectra simulations using linear-response
      TDDFT (XAS_TDP)
    + Contact-specific temperature, correct shift and scale factors for NEGF
    + Major updates to S-ALMO module
  * debian/patches/testsuite_output.patch: Updated.
  * debian/patches/libint2_support.patch: Removed, no longer needed.
  * debian/watch: Updated to use the upstream-provided tarball including DBCSR
    instead of the tag archive for now.
  * debian/patches/makeflags.patch: Remove -ffast-math from FCFLAGS.
  * debian/cp2k.examples: Updated.
  * debian/control (Build-Depends): Bump libelpa-dev to 2019.11.001.

 -- Michael Banck <mbanck@debian.org>  Sat, 04 Jan 2020 12:36:11 +0100

cp2k (6.1-3) unstable; urgency=medium

  * debian/control (Builds-Depends): Added libsymspg-dev.
  * debian/patches/makeflags.patch: Added -D__SPGLIB to DFLAGS.
  * debian/control (Build-Depends): Switch from libint-dev to libint2-dev.
  * debian/patches/makeflags.patch: Update for libint -> libint2 switch.
  * debian/patches/libint2_support.patch: New patch, adds support for libint2,
    taken from upstream commit 20ad1a1b.
  * debian/salsa-ci.yml: New file.

 -- Michael Banck <mbanck@debian.org>  Wed, 28 Aug 2019 14:06:03 +0200

cp2k (6.1-2) unstable; urgency=medium

  * debian/tests: Added autopkgtests based on upstream's regtesting framework.
  * debian/patches/makeflags.patch: Link libint and libderiv statically for
    now.
  * debian/rules (override_dh_auto_test): Update test directories.
  * debian/rules: Do not fail if mpi-default-dev/debian_defaults is missing.

 -- Michael Banck <mbanck@debian.org>  Sun, 06 Jan 2019 18:20:04 +0100

cp2k (6.1-1) unstable; urgency=medium

  * New upstream release, new features include:
    + Projection-operator diabatization (POD) method

  [ Michael Banck ]
  * debian/watch: Updated for GitHub.
  * debian/patches/fix_32bit_build_failure.patch: Removed, no longer needed.
  * debian/patches/makeflags.patch: Update LibXC and ELPA definitions.
  * debian/patches/makeflags.patch: Add /usr/include/elpa/elpa to include
    directories.
  * debian/patches/makeflags.patch: Link against libxcf03 instead of libxcf90.
  * debian/patches/testsuite_output.patch: Refreshed.
  * debian/patches/libxc3_support.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Thu, 20 Dec 2018 16:48:02 +0100

cp2k (5.1-4) unstable; urgency=medium

  * Acknowledge 4.1-1.1 NMU.
  * debian/control (Build-Depends): Removed libblacs-mpi-dev (Closes: #886710).

 -- Michael Banck <mbanck@debian.org>  Tue, 01 May 2018 15:21:01 +0200

cp2k (5.1-3) unstable; urgency=medium

  * debian/patches/makeflags.patch: Add _LIBINT_MAX_AM and __LIBDERIV_MAX_AM1
    defines.

 -- Michael Banck <mbanck@debian.org>  Mon, 15 Jan 2018 12:02:20 +0100

cp2k (5.1-2) unstable; urgency=medium

  * debian/patches/fix_32bit_build_failure.patch: New patch, fixes an integer
    overflow on 32bit architectures, taken from upstream revision 18196.

 -- Michael Banck <mbanck@debian.org>  Mon, 08 Jan 2018 14:50:15 +0100

cp2k (5.1-1) unstable; urgency=medium

  * New upstream release, new features include:
    + Constraint DFT
    + Cubic scaling GW
    + Constraint cell optimization
  * debian/control (Build-Depends): Added libblacs-mpi-dev.

 -- Michael Banck <mbanck@debian.org>  Sun, 07 Jan 2018 14:36:39 +0100

cp2k (4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10
  * Build-Depends: libscalapack-mpi-dev (>= 2)
    - use LIB_BLACS=$(LIB_SCALAPACK)
      (BLACS is now included in scalapack2)

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Sep 2017 00:47:53 +0800

cp2k (4.1-1) unstable; urgency=medium

  * New upstream release, new features include:
    + Cubic-scaling RPA
    + Maximum Overlap Method (MOM)
    + Polarized Atomic Orbitals from Machine Learning (PAO-ML)
    + Modified Atomic Orbitals (MAO) Analysis
    + Improved linear scaling (LS) DFT MD with curvy steps
    + GTH-PBE pseudopotentials for the Lanthanide elements
    + Fast method for periodic ERI reducing overhead of image charge correction
      in QM/MM and used in cubic-scaling RPA
    + Additional collective variables
  * debian/patches/libxc3_support.patch: Refreshed.
  * debian/rules (override_dh_auto_test): No longer symlink in testresults.
  * debian/patches/makeflags.patch: Updated, DATA_DIR is now a top-level
    variable.
  * debian/rules (CP2K_DATA_DIR): New variable, overrides DATA_DIR to the local
    directory for the testsuite.

 -- Michael Banck <mbanck@debian.org>  Wed, 05 Oct 2016 23:49:21 +0200

cp2k (3.0.0-1) unstable; urgency=medium

  * New upstream release, new features include:
    + K-points for GGA DFT
    + Unrestricted MP2 gradients
    + Implicit Poisson solver, with dielectric, and different boundary
      conditions
    + Improvements in the path integral code, including the PIGLET thermostat
    + G0W0 and eigenvalue self-consistent GW
    + Filtered basis method
    + Polarized atomic orbitals
  * debian/patches/testsuite_output.patch: Refreshed.
  * debian/patches/elpa2_support.patch: Removed, no longer needed.
  * debian/patches/data_files_standard_location.patch: Likewise.
  * debian/control (Build-Depends): Bump libelpa-dev dependency to
    2016.05.001-1.
  * debian/patches/makeflags.patch: Update ELPA define to __ELPA3.
  * debian/patches/makeflags.patch: Add /usr/include to include path for
    LibXC's Fortran90 modules.
  * debian/patches/makeflags.patch: Add LibXC's Fortran90 to LIBS.
  * debian/patches/libxc3_support.patch: New patch, conditionalize XC
    functional names according to major version.
  * debian/control (Build-Depends): Bump libxc-dev dependency to
    3.0.0-1.
  * debian/cp2k.examples: Replaced no longer present He-ri.inp example with
    H2O-hfx-1.inp.
  * debian/rules (override_dh_auto_test): Update list of regression test
    directories.
  * debian/regtest.config: Add numprocs=1 to regression tester config.

 -- Michael Banck <mbanck@debian.org>  Sun, 29 May 2016 16:21:00 +0200

cp2k (2.6.2-3) unstable; urgency=medium

  * debian/patches/makeflags.patch: Switch to ELPA2.
  * debian/control (Build-Depends): Bump libelpa-dev to 2015.05.001.
  * debian/control (Build-Depends): Tighten libelpa-dev version to -3 where the
    modules are installed at the usual location again (Closes: #816086).

 -- Michael Banck <mbanck@debian.org>  Sat, 27 Feb 2016 19:06:01 +0100

cp2k (2.6.2-2) unstable; urgency=medium

  * debian/patches/elpa2_support.patch: New patch to support ELPA2 interface,
    taken from upstream revisions 15202 and 15213.
  * debian/patches/makeflags.patch: Updated for openmpi-1.10, thanks to
    Alastair McKinstry (Closes: #813799).
  * debian/control (Build-Depends): Added pkg-config.

 -- Michael Banck <mbanck@debian.org>  Sun, 07 Feb 2016 13:05:29 +0100

cp2k (2.6.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sun, 22 Nov 2015 19:07:47 +0100

cp2k (2.6.1-2) unstable; urgency=medium

  * debian/regtest.config: Hardcode platform to `Linux' as is done for
    building, so the regression tests can find the executable.
  * debian/rules (override_dh_auto_test): Added QS/regtest-sccs for SCCS.
  * debian/control (Description): Updated.
  * debian/cp2k-data.links: Removed, no longer needed, and actually harmful as
    it overwrites the combined POTENTIAL file with the GTH_POTENTIALS file.
  * debian/patches/data_files_standard_location.patch: Update default
    location for HFX and MP2 pair potential files, update check for data file
    existance during HFX setup to use file_exist() subroutine and update all
    occurrances of direct calls to OPEN() for data files with open_file()
    subroutines, taken from upstream revisions 14965, 15250 and 15287.
  * debian/upstream/metadata: Update version number and year in software
    package citation.
  * debian/upstream/metadata: Add Comp. Mol. Sci. article.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 May 2015 16:24:18 +0200

cp2k (2.6.1-1) unstable; urgency=medium

  * New upstream release, new features include:
    + Improved linear scaling routines
    + Self-consistent continuum solvation (SCCS) model
    + QM/MM for Density-Functional Tight Binding (DFTB)
    + Realtime-Propagation (RTP) and Ehrenfest Molecular Dynamics (EMD) with
      Hartree-Fock exchange
    + QUIP Manybody potential
    + Hirshfeld population analysis
    + Density-Matrix (DM) and Charge Constraint Projection based ADMM methods
    + K-points framework
    + Improved Random-Phase Approximation (RPA) frequency integration methods
    + Local Resolution of Identity Projector Augmented Wave method (LRIGPW)
    + Optimization of LRI basis sets
  * debian/patches/reset_cppflags_makdepf90.patch: Removed, no longer needed.
  * debian/patches/makefile_linking.patch: Likewise.
  * debian/patches/potentials_allectron.patch: Likewise.
  * debian/patches/libxc-2.1_support.patch: Likewise.
  * debian/patches/gth_potentials_update.patch: Likewise.
  * debian/patches/testsuite_output.patch: Refreshed.
  * debian/patches/makeflags.patch: Add __DATA_DIR define to $(DFLAGS).
  * debian/control (Build-Depends): Added python.
  * debian/cp2k-data.install: Install all data files from data/.
  * debian/cp2k.links: Fix symlink (Closes: #749558).
  * debian/upstream: Moved to debian/upstream/metadata.
  * debian/control (Build-Depends): Added libelpa-dev.
  * debian/patches/makeflags.patch: Enable ELPA support.
  * debian/rules (override_dh_auto_test): Added QS/regtest-gpw-6-4 regtest for
    ELPA.
  * debian/cp2k.install: Install cp2k_shell as well.
  * debian/cp2k.links: Add symlink for cp2k_shell.
  * debian/rules (override_dh_auto_test): Added QS/regtest-hirschfeld regtest for
    Hirshfeld charges and QMMM/DFTB/regtest for QM/MM DFTB.
  * debian/patches/data_files_standard_location.patch: Alternatively strip any
    path from provided files and look them up in the data directory directly.

 -- Michael Banck <mbanck@debian.org>  Fri, 01 May 2015 16:54:10 +0200

cp2k (2.5.1-2) unstable; urgency=medium

  * debian/patches/libxc-2.1_support.patch: New patch, adds support for (new
    functionals in) libxc-2.1, adopted from upstream revision 14113.
  * debian/patches/gth_potentials_update.patch: New patch, includes additions
    from the master GTH_POTENTIALS file up till revision 13090.

 -- Michael Banck <mbanck@debian.org>  Mon, 07 Jul 2014 00:26:45 +0200

cp2k (2.5.1-1) unstable; urgency=low

  * New upstream point release.
    + Adds double-escaping of some XML entities, fixing an FTBFS bug on
      archictures using gcj-jdk.
  * debian/rules (override_dh_auto_test): Added QS/regtest-md-lgvregion regtest
    directory to get some coverage of the CPMD-like Langevin MD.
  * debian/patches/potentials_allectron.patch: New patch, adds the allelectron
    potentials from tests/QS/POTENTIAL.
  * debian/patches/makeflags.patch: Added psmp (hybrid OpenMP/MPI) flavor.
  * debian/rules (VERSION): New variable.
  * debian/rules (override_dh_auto_clean, override_dh_auto_build,
    override_dh_auto_test): Use it.
  * debian/cp2k.links: Use wildcard instead of parallel flavor identifier.

 -- Michael Banck <mbanck@debian.org>  Sat, 19 Apr 2014 14:15:22 +0200

cp2k (2.5.0-1) unstable; urgency=low

  * New upstream release, new features include:
    + MP2 and RI-MP2 gradients
    + Absolutely Localized Molecular Orbitals SCF (ALMO-SCF) energies
      for linear scaling of molecular systems
    + Global optimization of geometries
    + Tree Monte Carlo: additional parallelism in MC
    + Post-SCF linear response, including Raman
    + Relativistic corrections for atomic blocks
    + Integrated molecular basis set optimization
    + RI-MP2 auxiliary basis optimization

  [ Michael Banck ]
  * debian/control (Description): Overhauled.
  * debian/cp2k-data.install: Added NLCC_POTENTIALS data file.
  * debian/upstream: Updated citation reference and Repository-Browse URL.
  * debian/patches/testsuite_output.patch: Refreshed.
  * debian/cp2k.examples: Updated for moved regtest.
  * debian/cp2k.docs: Removed, the tutorials were moved to the website.
  * debian/rules (override_dh_auto_clean, override_dh_auto_build): Directory
    "web/manual" got renamed to "tools/manual", rename acoordingly.  Also drop
    the javascript-enabled version of the manual, as the respective .xsl file
    no longer exists (or rather, the javascript version is now the standard).
  * debian/cp2k-data.install: Likewise.
  * debian/rules (override_dh_auto_test): do_regtest has been moved to
    tools/regtesting, rename accordingly.
  * debian/regtest.config: Likewise.
  * debian/regtest.config: New variables "quick", "nobuild" and "nosvn".
  * debian/rules (override_dh_auto_test): Remove -quick option from
    command-line.
  * debian/patches/makefile_linking.patch: New patch, adds required internal
    and external libraries to fes linking command-line.
  * debian/patches/makeflags.patch: Removed OBJECTS_ARCHITECTURE variable, as
    it is on longer used by the code.
  * debian/control (Description): Updated for new 2.5.0 features.
  * debian/rules (override_dh_auto_test): Replaced several regtest directories
    with similar, but quicker to run, directories.  Also add several more
    regtest directories.
  * debian/patches/fortran_continuing_lines.patch: Removed, no longer needed.
  * debian/patches/subversion_branch.patch: New patch, adds revisions from
    upstream cp2k-2_5-branch: r13644.

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Mar 2014 17:17:41 +0100

cp2k (2.4.0-2) unstable; urgency=low

  * debian/patches/makeflags.patch: Added -lmpi to LIBS variable, fixes FTBFS
    on MPICH architectures.

 -- Michael Banck <mbanck@debian.org>  Fri, 04 Oct 2013 12:21:18 +0200

cp2k (2.4.0-1) unstable; urgency=low

  * New upstream release.
    + Fixes AMBER torsion energy (Closes: #706608)
  * New features include:
    + Resolution-of-the-identity RI-MP2 and RI-RPA energies
    + Non-local vDW corrections for XC functionals including B88-vDW, PBE-vDW
      and B97X-D
    + Various new XC functionals via LibXC support
    + Support for non-linear core corrected (NLCC) pseudopotentials
    + Adaptive QM/MM
    + Additional linear scaling algorithms and properties
    + ELPA parallel eigensolver support
    + Possibility of using image charges
    + Integrated basis set optimisation
    + PLUMED support

  [ Daniel Leidert ]
  * debian/control (DM-Upload-Allowed): Dropped.
    (Standards-Version): Bumped to 3.9.4.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/watch: Fixed.
  * debian/patches/fftw3_unaligned.patch: Dropped (applied upstream).
  * debian/patches/dftb_atom_input_dependence.patch: Ditto.
  * debian/patches/series: Adjusted.

  [ Michael Banck ]
  * debian/rules (override_dh_auto_test): Update OMPI_MCA environment variable
    to orte_rsh_agent as the original plm_rsh_agent variable is deprecated.
  * debian/control (Build-Depends): Added libxc-dev.
  * debian/patches/makeflags.patch: Added support for libxc.
  * debian/rules (override_dh_auto_test): Added QS/regtest-libxc to
    testsuite directories.
  * debian/cp2k-data.install: Install all data files from tests/QS directory.
  * debian/patches/basis_set_error_631++Gxx.patch: Dropped (applied upstream).
  * debian/patches/gcc-4.8_fixes.patch: Likewise.
  * debian/cp2k.install: Moved documentation to ...
  * debian/cp2k-data.install: ... here.

 -- Michael Banck <mbanck@debian.org>  Mon, 23 Sep 2013 11:39:02 +0200

cp2k (2.3.0-1) unstable; urgency=low

  * New upstream release.  New features include:
    + MP2 energies
    + Double-hybrid XC functionals including B2PLYP and B2GPPLYP
    + Self-Consistent-Polarization Tight-Binding (SCP-TB) method
    + Periodic Restrained Electrostatic Potential (RESP) charge fitting
    + Slater-type orbitals in the atomic code
    + Electron Localization Functions (ELF)
  * debian/patches/fortran_continuing_lines.patch: Refreshed.
  * debian/patches/reset_cppflags_makdepf90.patch: Likewise.
  * debian/control (Description): Updated.
  * debian/patches/makeflags.patch: Undefine CPP variable (Closes: #701263).
  * debian/patches/gcc-4.8_fixes.patch: New patch, fixes a build failure with
    gfortran-4.8, taken from upstream revision 12562.
  * debian/rules (override_dh_auto_test): Select less expensive tests where
    applicable and include some more tests for wider coverage.
  * debian/cp2k-data.install: Added tests/QS/t_sh_p_s_c.dat.
  * debian/control (Build-Depends): Added bc, used to calculate runtimes in the
    testsuite.

 -- Michael Banck <mbanck@debian.org>  Fri, 05 Jul 2013 14:00:40 +0200

cp2k (2.2.426-8) unstable; urgency=high

  * debian/patches/basis_set_error_631++Gxx.patch: New patch, fixes the
    parameters of the 6-31++G** basis set, which was missing the diffuse
    function, thus making it identical to the 6-31G*/6-31G** basis sets.
    Patch is taken from upstream revision 12850 (Closes: #705746).

 -- Michael Banck <mbanck@debian.org>  Fri, 19 Apr 2013 16:07:40 +0200

cp2k (2.2.426-7) unstable; urgency=low

  * debian/patches/dftb_atom_input_dependence.patch: Fix dependence on heavy
    atom sequence in DFTB calculations, taken from upstream revision 12753
    (Closes: #702801).

 -- Michael Banck <mbanck@debian.org>  Mon, 11 Mar 2013 18:34:14 +0100

cp2k (2.2.426-6) unstable; urgency=low

  * debian/rules (FFTW3_ALIGN): New variable, set to '-D__FFTW3_UNALIGNED' on
    i386.
  * debian/patches/makeflags.patch: Include $(FFTW3_ALIGN) environment
    variable in $(DFLAGS).
  * debian/patches/fftw3_unaligned.patch: New patch, unconditionally adds the
    FFTW_UNALIGNED flag to the FFTW3 plan if __FFTW3_UNALIGNED is defined,
    thanks to Julian Taylor (Closes: #686874).
  * debian/control (Description): Added Metadynamics to capabilities.

 -- Michael Banck <mbanck@debian.org>  Fri, 07 Sep 2012 00:27:39 +0200

cp2k (2.2.426-5) unstable; urgency=low

  [ Michael Banck ]
  * debian/control (Description): Overhauled.
  * debian/upstream: New file.
  * debian/cp2k-data.install: Added tests/QS/dftd3.dat for the DFT-D3 pair
    potentials and tests/QS/t_c_g.dat for the truncated gamma function
    parameters.
  * debian/cp2k-data.install: Added tests/QS/BASIS_ADMM for the
    density-fitting basis sets.

  [ Andreas Tille ]
  * debian/upstream: Enhanced citation information.

  [ Daniel Leidert ]
  * debian/watch: Added.

 -- Michael Banck <mbanck@debian.org>  Mon, 03 Sep 2012 19:18:00 +0200

cp2k (2.2.426-4) unstable; urgency=low

  * debian/rules (override_dh_auto_test): Reactivate test suite again.  Link
    to the testresults orig-tarball compontent for comparison and run some
    representative regression test suite directories.
  * debian/rules (override_dh_auto_test): Only run testsuite if
    DEB_BUILD_OPTIONS does not contain `nocheck', as per policy.
  * debian/README.source: New file.
  * debian/rules (override_dh_auto_build, override_dh_auto_clean): Build html
    input file documentation from xml output and remove html and xml files on
    clean.
  * debian/control (Build-Depends): Added libsaxonb-java and
    default-jre-headless.
  * debian/cp2k.install: Install generated input file documentation rather
    than the rest of the documentation.
  * debian/rules (OMPI_MCA_plm_rsh_agent): New variable, makes built
    executable run successfully in a chroot.
  * debian/patches/testsuite_output.patch: New patch, echoes the name of each
    test in order to produce some output and avoid timeouts.

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Mar 2012 18:04:41 +0100

cp2k (2.2.426-3) unstable; urgency=low

  * debian/patches/makeflags.patch: Use -lmpif90 -lmpif77 which also work with
    mpich, instead of the -lmpi_f90 -lmpi_f77 variants.
  * debian/rules (PLATFORM): Hardcode to Linux for now.

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Feb 2012 14:15:17 +0100

cp2k (2.2.426-2) unstable; urgency=low

  * debian/patches/makeflags.patch: Updated, so that $(CPPFLAGS) includes
    $(DLFAGS), making the fftw3 library getting actually used.
  * debian/control (Build-Depends): Added libint-dev.
  * debian/patches/makeflags.patch: Updated for libint.
  * debian/cp2k.examples: Added He-ri.inp as an examples using libint.
  * debian/patches/makeflags.patch: Added to -ffree-line-length-none to
    $(FCFLAGS), thanks to Aaron M. Ucko (Closes: #660176).
  * debian/rules: include /usr/share/mpi-default-dev/debian_defaults.
  * debian/rules (LIB_SCALAPACK): New variable, exporting the the scalapack
    library according to $(ARCH_DEFAULT_MPI_IMPL).
  * debian/patches/makeflags.patch: Added $(LIB_SCALAPACK) to parallel $(LIBS)
    variable.
  * debian/rules (LIB_BLACS): New variable, exporting the the blacs library
    according to $(ARCH_DEFAULT_MPI_IMPL).
  * debian/patches/makeflags.patch: Added $(LIB_BLACS) to parallel $(LIBS)
    variable.

 -- Michael Banck <mbanck@debian.org>  Sat, 18 Feb 2012 18:52:05 +0100

cp2k (2.2.426-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/fortran_continuing_lines.patch: Refreshed.
  * Acknowledge NMU.
  * debian/control (Homepage): Updated.
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed.
  * debian/copyright: Updated download location.
  * debian/patches/reset_cppflags_makdepf90.patch: Refreshed.
  * debian/patches/makeflags.patch: Removed -march=native from FCFLAGS.
  * debian/rules (override_dh_auto_clean): Generate platform-specific symlink
    for distclean as well (Closes: #641242).
  * debian/rules (override_dh_auto_test): Disable test suite for now, as no
    output verification is done.
  * debian/docs: Renamed to ...
  * debian/cp2k.docs: ... this.
  * debian/install: Renamed to ...
  * debian/cp2k.install: ... this.
  * debian/control (cp2k-data): New package, containing the basis sets,
    pseudopotentials and force-field parameters.
  * debian/cp2k-data.install: New file.
  * debian/cp2k-data.dirs: New file.
  * debian/cp2k.links: New file.
  * debian/patches/data_files_standard_location.patch: New patch, adds support
    for looking up data files in /usr/share/cp2k if they are not found in the
    location specified in the input file.
  * debian/rules (override_dh_auto_clean): Remove regression test outputs as
    well.
  * debian/cp2k-data.links: New file, linking GTH_POTENTIALS to the default
    POTENTIAL file name.
  * debian/cp2k.examples: New file.

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Feb 2012 16:12:29 +0100

cp2k (2.1.637-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on flex and bison, to fix FTBFS (Closes: #641242)

 -- Aron Xu <aron@debian.org>  Fri, 20 Jan 2012 19:59:16 +0800

cp2k (2.1.637-2) unstable; urgency=low

  * debian/copyright: Clarify that recurse.f90 is under a BSDish license
  * debian/rules (clean): Run dh_clean as well.
  * debian/rules: Rename clean target to override_dh_auto_clean and remove
    dh_clean from it again.
  * debian/rules: Rename build target to override_dh_auto_build.

 -- Michael Banck <mbanck@debian.org>  Sun, 11 Sep 2011 17:21:15 +0200

cp2k (2.1.637-1) unstable; urgency=low

  * Initial upload (Closes: #518984).

 -- Michael Banck <mbanck@debian.org>  Thu, 08 Sep 2011 17:50:44 +0200
